clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::tooling::IncludeStyle::IncludeCategory Struct Reference

See documentation of `IncludeCategories`. More...

`#include "clang/Tooling/Inclusions/IncludeStyle.h"`

Collaboration diagram for clang::tooling::IncludeStyle::IncludeCategory:
[legend]

## Public Member Functions
bool | operator== (const IncludeCategory &Other) const

## Public Attributes
std::string | Regex
| The regular expression that this category matches. More...
int | Priority
| The priority to assign to this category. More...

## Detailed Description

See documentation of `IncludeCategories`.

Definition at line 57 of file IncludeStyle.h.

## Member Function Documentation

## ◆ operator==()

bool clang::tooling::IncludeStyle::IncludeCategory::operator== | ( | const IncludeCategory & | Other | ) | const
| inline

Definition at line 62 of file IncludeStyle.h.

References Priority, and Regex.

## Member Data Documentation

## ◆ Priority

int clang::tooling::IncludeStyle::IncludeCategory::Priority

The priority to assign to this category.

Definition at line 61 of file IncludeStyle.h.

Referenced by operator==().

## ◆ Regex

std::string clang::tooling::IncludeStyle::IncludeCategory::Regex

The regular expression that this category matches.

Definition at line 59 of file IncludeStyle.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- include/clang/Tooling/Inclusions/IncludeStyle.h